<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: field/hdemag.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_00a13ab5e3afe633796d5c180ae90994.html">field</a>
  </div>
</div>
<div class="contents">
<h1>hdemag.c File Reference</h1><code>#include &quot;<a class="el" href="field_8h_source.html">field/field.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="init_8h_source.html">init/init.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="hdemag_8c_source.html">bmatrix.c</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for hdemag.c:</div>
<div class="dynsection">
<div class="center"><img src="hdemag_8c__incl.png" border="0" usemap="#field_2hdemag_8c_map" alt=""/></div>
<map name="field_2hdemag_8c_map" id="field_2hdemag_8c">
<area shape="rect" id="node3" href="field_8h.html" title="field/field.h" alt="" coords="57,86,143,117"/><area shape="rect" id="node15" href="init_8h.html" title="init/init.h" alt="" coords="167,86,236,117"/><area shape="rect" id="node18" href="util_8h.html" title="util/util.h" alt="" coords="260,86,329,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>
<div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dynsection">
<div class="center"><img src="hdemag_8c__dep__incl.png" border="0" usemap="#field_2hdemag_8cdep_map" alt=""/></div>
</div>

<p><a href="hdemag_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hdemag_8c.html#af7aafea25b16a772be7c52da95bb48f7">XND</a>&nbsp;&nbsp;&nbsp;1</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a">Hdemag_Init</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hdemag_8c.html#a8e779a08a066fda9160df1a7e5102a58">Hdemag</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, Vec VHtotsum)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hdemag_8c.html#aed83146289258f6f29a808dc50853f65">Hdemag_Energy</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, Vec VMom, PetscReal *energy)</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">KSP&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hdemag_8c.html#aeb58d58499890ec560bf98f9784c25c6">ksp_Au1</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">KSP&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hdemag_8c.html#a41beef8c4d077774a4153eac70ef0bae">ksp_Au2</a></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="af7aafea25b16a772be7c52da95bb48f7"></a><!-- doxytag: member="hdemag.c::XND" ref="af7aafea25b16a772be7c52da95bb48f7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define XND&nbsp;&nbsp;&nbsp;1</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a8e779a08a066fda9160df1a7e5102a58"></a><!-- doxytag: member="hdemag.c::Hdemag" ref="a8e779a08a066fda9160df1a7e5102a58" args="(GridData *gdata, Vec VHtotsum)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hdemag </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>VHtotsum</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hdemag_8c_source.html#l00774">774</a> of file <a class="el" href="hdemag_8c_source.html">hdemag.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00042">__FUNCT__</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="hdemag_8c_source.html#l00055">ksp_Au1</a>, <a class="el" href="hdemag_8c_source.html#l00056">ksp_Au2</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="griddata_8h_source.html#l00147">GridData::mode</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>, and <a class="el" href="griddata_8h_source.html#l00248">GridData::VHdem</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00055">Htot()</a>, and <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hdemag_8c_a8e779a08a066fda9160df1a7e5102a58_cgraph.png" border="0" usemap="#hdemag_8c_a8e779a08a066fda9160df1a7e5102a58_cgraph_map" alt=""></div>
<map name="hdemag_8c_a8e779a08a066fda9160df1a7e5102a58_cgraph_map" id="hdemag_8c_a8e779a08a066fda9160df1a7e5102a58_cgraph">
<area shape="rect" id="node3" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="127,177,220,208"/><area shape="rect" id="node5" href="bmatrix_8c.html#a02081555af5c4ef64cc4674f52b4d446" title="BMatrix" alt="" coords="284,125,351,156"/><area shape="rect" id="node11" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="415,20,521,51"/><area shape="rect" id="node18" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="421,177,515,208"/><area shape="rect" id="node25" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="271,229,364,260"/><area shape="rect" id="node31" href="elevertvol_8c.html#add57a81e67724a47fc306e81ccec2a5e" title="tetgrad" alt="" coords="287,283,348,313"/><area shape="rect" id="node7" href="bele_8c.html#affb52b9f2b0f2fd0d97c0519704464c8" title="Bele" alt="" coords="593,127,641,157"/><area shape="rect" id="node20" href="bmatrix_8c.html#a6ef9ef50f16bc7123b3585a730fa9afa" title="VertBSA" alt="" coords="432,73,504,104"/><area shape="rect" id="node9" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e" title="PointFromPlane" alt="" coords="713,87,825,117"/><area shape="rect" id="node13" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="712,7,827,37"/><area shape="rect" id="node15" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="571,20,664,51"/><area shape="rect" id="node22" href="solidangle_8c.html#a1e2c6c7a1101373c5702b927ca66405f" title="SolidAngle" alt="" coords="576,73,659,104"/><area shape="rect" id="node27" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="417,231,519,261"/><area shape="rect" id="node33" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="441,284,495,315"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hdemag_8c_a8e779a08a066fda9160df1a7e5102a58_icgraph.png" border="0" usemap="#hdemag_8c_a8e779a08a066fda9160df1a7e5102a58_icgraph_map" alt=""></div>
<map name="hdemag_8c_a8e779a08a066fda9160df1a7e5102a58_icgraph_map" id="hdemag_8c_a8e779a08a066fda9160df1a7e5102a58_icgraph">
<area shape="rect" id="node3" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="127,210,172,241"/><area shape="rect" id="node38" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="223,301,324,331"/><area shape="rect" id="node5" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="232,118,315,149"/><area shape="rect" id="node9" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1091,197,1149,227"/><area shape="rect" id="node34" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="935,90,1020,121"/><area shape="rect" id="node44" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="239,197,308,227"/><area shape="rect" id="node7" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="913,143,1041,174"/><area shape="rect" id="node16" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="403,146,480,177"/><area shape="rect" id="node21" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="395,93,488,123"/><area shape="rect" id="node13" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1093,143,1147,174"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1197,170,1248,201"/><area shape="rect" id="node18" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="559,301,684,331"/><area shape="rect" id="node23" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="583,197,660,227"/><area shape="rect" id="node28" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="575,93,668,123"/><area shape="rect" id="node25" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="733,197,864,227"/><area shape="rect" id="node30" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="772,93,825,123"/><area shape="rect" id="node40" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="373,301,509,331"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aed83146289258f6f29a808dc50853f65"></a><!-- doxytag: member="hdemag.c::Hdemag_Energy" ref="aed83146289258f6f29a808dc50853f65" args="(GridData *gdata, Vec VMom, PetscReal *energy)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hdemag_Energy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>VMom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>energy</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hdemag_8c_source.html#l01063">1063</a> of file <a class="el" href="hdemag_8c_source.html">hdemag.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, and <a class="el" href="griddata_8h_source.html#l00248">GridData::VHdem</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00176">CalcEnergy()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hdemag_8c_aed83146289258f6f29a808dc50853f65_icgraph.png" border="0" usemap="#hdemag_8c_aed83146289258f6f29a808dc50853f65_icgraph_map" alt=""></div>
<map name="hdemag_8c_aed83146289258f6f29a808dc50853f65_icgraph_map" id="hdemag_8c_aed83146289258f6f29a808dc50853f65_icgraph">
<area shape="rect" id="node3" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11" title="CalcEnergy" alt="" coords="171,203,259,234"/><area shape="rect" id="node5" href="htot_8c.html#a23837f4926a3a0dc211d349e16a9df87" title="Htot_EminiEnergy" alt="" coords="307,177,432,207"/><area shape="rect" id="node7" href="htot_8c.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="323,230,416,261"/><area shape="rect" id="node9" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="829,354,915,385"/><area shape="rect" id="node11" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1165,197,1224,227"/><area shape="rect" id="node15" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1027,302,1080,333"/><area shape="rect" id="node20" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="619,81,755,111"/><area shape="rect" id="node25" href="writelog__pid_8c.html#aa63307197e81d27990850ea179eb5187" title="WriteLogPid" alt="" coords="480,230,571,261"/><area shape="rect" id="node13" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1272,223,1323,254"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="991,93,1116,123"/><area shape="rect" id="node27" href="writelog_8c.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="651,230,723,261"/><area shape="rect" id="node29" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="803,250,941,281"/><area shape="rect" id="node33" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="808,197,936,227"/><area shape="rect" id="node37" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="833,93,911,123"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a550cd909b1c224ef8c259dd68298e50a"></a><!-- doxytag: member="hdemag.c::Hdemag_Init" ref="a550cd909b1c224ef8c259dd68298e50a" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hdemag_Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hdemag_8c_source.html#l00067">67</a> of file <a class="el" href="hdemag_8c_source.html">hdemag.c</a>.</p>

<p>References <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="griddata_8h_source.html#l00105">C_INT</a>, <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00192">GridData::elevol</a>, <a class="el" href="hdemag_8c_source.html#l00055">ksp_Au1</a>, <a class="el" href="hdemag_8c_source.html#l00056">ksp_Au2</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="mesh2dual_8c_source.html#l00127">Mesh2Nodal()</a>, <a class="el" href="griddata_8h_source.html#l00130">my_ddot</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00210">GridData::n_vert_bnd</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="precond_8c.html#a5fa86e1232846ad4aa6cdad299c1638f">ostr</a>, <a class="el" href="printmatinfo_8c_source.html#l00092">PrintMatInfoAll()</a>, <a class="el" href="progressbar_8c_source.html#l00029">ProgressBar()</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="elevertvol_8c_source.html#l00030">tetgrad()</a>, <a class="el" href="griddata_8h_source.html#l00213">GridData::vertbndg2bnd</a>, <a class="el" href="griddata_8h_source.html#l00181">GridData::vertvol</a>, <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>, <a class="el" href="griddata_8h_source.html#l00248">GridData::VHdem</a>, and <a class="el" href="hdemag_8c.html#af7aafea25b16a772be7c52da95bb48f7">XND</a>.</p>

<p>Referenced by <a class="el" href="hdemag_8c_source.html#l00774">Hdemag()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hdemag_8c_a550cd909b1c224ef8c259dd68298e50a_cgraph.png" border="0" usemap="#hdemag_8c_a550cd909b1c224ef8c259dd68298e50a_cgraph_map" alt=""></div>
<map name="hdemag_8c_a550cd909b1c224ef8c259dd68298e50a_cgraph_map" id="hdemag_8c_a550cd909b1c224ef8c259dd68298e50a_cgraph">
<area shape="rect" id="node3" href="bmatrix_8c.html#a02081555af5c4ef64cc4674f52b4d446" title="BMatrix" alt="" coords="164,125,231,156"/><area shape="rect" id="node9" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="295,20,401,51"/><area shape="rect" id="node16" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="301,177,395,208"/><area shape="rect" id="node23" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="151,229,244,260"/><area shape="rect" id="node29" href="elevertvol_8c.html#add57a81e67724a47fc306e81ccec2a5e" title="tetgrad" alt="" coords="167,283,228,313"/><area shape="rect" id="node5" href="bele_8c.html#affb52b9f2b0f2fd0d97c0519704464c8" title="Bele" alt="" coords="473,127,521,157"/><area shape="rect" id="node18" href="bmatrix_8c.html#a6ef9ef50f16bc7123b3585a730fa9afa" title="VertBSA" alt="" coords="312,73,384,104"/><area shape="rect" id="node7" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e" title="PointFromPlane" alt="" coords="593,87,705,117"/><area shape="rect" id="node11" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="592,7,707,37"/><area shape="rect" id="node13" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="451,20,544,51"/><area shape="rect" id="node20" href="solidangle_8c.html#a1e2c6c7a1101373c5702b927ca66405f" title="SolidAngle" alt="" coords="456,73,539,104"/><area shape="rect" id="node25" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="297,231,399,261"/><area shape="rect" id="node31" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="321,284,375,315"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hdemag_8c_a550cd909b1c224ef8c259dd68298e50a_icgraph.png" border="0" usemap="#hdemag_8c_a550cd909b1c224ef8c259dd68298e50a_icgraph_map" alt=""></div>
<map name="hdemag_8c_a550cd909b1c224ef8c259dd68298e50a_icgraph_map" id="hdemag_8c_a550cd909b1c224ef8c259dd68298e50a_icgraph">
<area shape="rect" id="node3" href="hdemag_8c.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="151,249,220,279"/><area shape="rect" id="node5" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="271,210,316,241"/><area shape="rect" id="node40" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="367,301,468,331"/><area shape="rect" id="node7" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="376,118,459,149"/><area shape="rect" id="node11" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1235,197,1293,227"/><area shape="rect" id="node36" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1079,90,1164,121"/><area shape="rect" id="node46" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="383,197,452,227"/><area shape="rect" id="node9" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1057,143,1185,174"/><area shape="rect" id="node18" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="547,146,624,177"/><area shape="rect" id="node23" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="539,93,632,123"/><area shape="rect" id="node15" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1237,143,1291,174"/><area shape="rect" id="node13" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1341,170,1392,201"/><area shape="rect" id="node20" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="703,301,828,331"/><area shape="rect" id="node25" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="727,197,804,227"/><area shape="rect" id="node30" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="719,93,812,123"/><area shape="rect" id="node27" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="877,197,1008,227"/><area shape="rect" id="node32" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="916,93,969,123"/><area shape="rect" id="node42" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="517,301,653,331"/></map>
</div>
</p>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="aeb58d58499890ec560bf98f9784c25c6"></a><!-- doxytag: member="hdemag.c::ksp_Au1" ref="aeb58d58499890ec560bf98f9784c25c6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">KSP <a class="el" href="checkiterationllg_8c.html#aeb58d58499890ec560bf98f9784c25c6">ksp_Au1</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hdemag_8c_source.html#l00055">55</a> of file <a class="el" href="hdemag_8c_source.html">hdemag.c</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00057">adjtoldem()</a>, <a class="el" href="hdemag_8c_source.html#l00774">Hdemag()</a>, and <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>.</p>

</div>
</div>
<a class="anchor" id="a41beef8c4d077774a4153eac70ef0bae"></a><!-- doxytag: member="hdemag.c::ksp_Au2" ref="a41beef8c4d077774a4153eac70ef0bae" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">KSP <a class="el" href="checkiterationllg_8c.html#a41beef8c4d077774a4153eac70ef0bae">ksp_Au2</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hdemag_8c_source.html#l00056">56</a> of file <a class="el" href="hdemag_8c_source.html">hdemag.c</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00057">adjtoldem()</a>, <a class="el" href="hdemag_8c_source.html#l00774">Hdemag()</a>, and <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>.</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

